This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 834915 - Failed to start LSB: Init script for TCSD
Failed to start LSB: Init script for TCSD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lsb (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Elena Zannoni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 17:05 EDT by ZetaFunction
Modified: 2013-07-31 20:21 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:21:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ZetaFunction 2012-06-24 17:05:15 EDT
Description of problem:
/var/log/boot.log :
 Starting tcsd: [FAILED]
 Failed to start LSB: Init script for TCSD.
 See 'systemctl status tcsd.service' for details.

tcsd.service - LSB: Init script for TCSD
          Loaded: loaded (/etc/rc.d/init.d/tcsd)
          Active: failed (Result: exit-code) since Mon, 25 Jun 2012 00:02:49 +0400; 57min ago
         Process: 632 ExecStart=/etc/rc.d/init.d/tcsd start (code=exited, status=4/NOPERMISSION)
          CGroup: name=systemd:/system/tcsd.service


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Randall "Randy" Berry 2012-07-01 10:18:32 EDT
This problem also surfaces on F16 i386.
Comment 2 Harvey Wamboldt 2012-07-11 21:58:11 EDT
Same problem on Asus M5A97 EVO MB / F16-x86_64. AFAIK there is no TPM on this motherboard. Without a TPM should TCSD even be trying to start? Perhaps on installation there should be detection of TPM and if not found, the service is installed *disabled*?
Comment 3 Mengxuan Xia 2012-08-05 09:52:14 EDT
I also see this bug on F17 x86_64

$ systemctl status tcsd.service
tcsd.service - LSB: Init script for TCSD
	  Loaded: loaded (/etc/rc.d/init.d/tcsd)
	  Active: failed (Result: exit-code) since Sun, 05 Aug 2012 09:23:36 -0400; 27min ago
	 Process: 795 ExecStart=/etc/rc.d/init.d/tcsd start (code=exited, status=137)
	  CGroup: name=systemd:/system/tcsd.service
Comment 4 Alex Eiswirth 2012-08-19 12:34:46 EDT
Also on F17:

Aug 19 18:26:00 mars tcsd[661]: Starting tcsd: [FAILED]
Aug 19 18:26:00 mars TCSD TDDL[685]: TrouSerS ERROR: Could not find a device to open!
Aug 19 18:26:00 mars systemd[1]: tcsd.service: control process exited, code=exited status=137
Aug 19 18:26:00 mars systemd[1]: Unit tcsd.service entered failed state.


[root@mars ~]# systemctl status tcsd.service
tcsd.service - LSB: Init script for TCSD
	  Loaded: loaded (/etc/rc.d/init.d/tcsd)
	  Active: failed (Result: exit-code) since Sun, 19 Aug 2012 18:26:00 +0200; 5min ago
	 Process: 661 ExecStart=/etc/rc.d/init.d/tcsd start (code=exited, status=137)
	  CGroup: name=systemd:/system/tcsd.service

[root@mars ~]# lsb_release -a
LSB Version:	:core-4.1-amd64:core-4.1-noarch:cxx-4.1-amd64:cxx-4.1-noarch:desktop-4.1-amd64:desktop-4.1-noarch:languages-4.1-amd64:languages-4.1-noarch:printing-4.1-amd64:printing-4.1-noarch
Distributor ID:	Fedora
Description:	Fedora release 17 (Beefy Miracle)
Release:	17
Codename:	BeefyMiracle
Comment 5 Mark 2012-08-20 18:49:00 EDT
$ systemctl status tcsd.service
tcsd.service - LSB: Init script for TCSD
	  Loaded: loaded (/etc/rc.d/init.d/tcsd)
	  Active: failed (Result: exit-code) since Tue, 21 Aug 2012 05:15:44 +0800; 1h 27min ago
	  CGroup: name=systemd:/system/tcsd.service

Warning: Journal has been rotated since unit was started. Log output is incomplete or unavailable.
Comment 6 MotherDawg 2012-10-02 05:30:56 EDT
Lo,
Getting the same:

tcsd.service - LSB: Init script for TCSD
	  Loaded: loaded (/etc/rc.d/init.d/tcsd)
	  Active: failed (Result: exit-code) since Tue, 02 Oct 2012 04:34:43 -0400; 7s ago
	 Process: 10913 ExecStart=/etc/rc.d/init.d/tcsd start (code=exited, status=137)
	  CGroup: name=systemd:/system/tcsd.service

Oct 02 04:34:43 MeVery.BadHost tcsd[10917]: TCSD TDDL[10917]: TrouSerS ERROR: Could not find a device to open!
Oct 02 04:34:43 MeVery.BadHost tcsd[10913]: Starting tcsd: [FAILED]


trousers-0.3.9-1.fc17.src.rpm

TTFN
Comment 7 Michal Jaegermann 2012-11-07 22:42:37 EST
I see with trousers-0.3.6-1.fc16.x86_64:

tcsd.service - LSB: Init script for TCSD
          Loaded: loaded (/etc/rc.d/init.d/tcsd)
          Active: failed since Wed, 07 Nov 2012 18:55:02 -0700; 2min 22s ago
         Process: 1128 ExecStart=/etc/rc.d/init.d/tcsd start (code=exited, status=137)
          CGroup: name=systemd:/system/tcsd.service

 tcsd[1466]: tpm_bios               13528  0
 TCSD TDDL[1472]: TrouSerS ERROR: Could not find a device to open!
 tcsd[1466]: Starting tcsd: [FAILED]
 systemd[1]: tcsd.service: control process exited, code=exited status=137
 systemd[1]: Unit tcsd.service entered failed state.

Is it possible that this is somehow related to bug 874382?  Names are mysterious and I have no idea why something tries to start that on an ASUS K52Jc but apparently not on other systems with a similar configuration.
Comment 8 Michael Convey 2012-11-17 22:16:52 EST
I had this problem with Fedora 16 x86_64. I just upgraded to Fedora 17 and the failure is still there. There is also a discussion here:
http://forums.fedoraforum.org/showthread.php?t=281750
Comment 9 Fedora End Of Life 2013-07-03 18:26:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 20:21:19 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.